Subject: [6pack] Seat belt rebuilding

From: James_ <[email-masked]>
Date: Thu, 5 Mar 2015 08:42:34 -0800

Next project on my list....
Seat belts. (Easy project because I just mail and through money at it!)

So I emailed Ssnake oyl. As some suggested on here to rebuild/webbing on tr6
seat belts.

They wrote back saying they may not be able to re-web due to being unable to
work on the retractor. Or get inside or something.

They have replacements but that defeats my goal and I can buy replacements at
moss/TRF.
Anyone with a 1976 Tr6 had their original seat belts rebuilt? Mainly the
webbing. The internal springs could probably use a little tightening.
Did you use snake oyl or someone else?
Thanks
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack